Objects
ResponseObject
An HTTP response to be provided after receiving HTTP INSTRUCTIONS in the CollectionStatus extraInformation object. This is expected when using the SWEDISH_MOBILE_BANKID_SAME_DEVICE_CLIENT_SIDE_AUTHENTICATION loginMethod. An in-depth description of this flow can be found in the introduction.
headersobject
The keys and values of the response headers
response
The response body, in the format it was responded, e.g. html or json.
typestring
Possible Enum values are
RESPONSE_OBJECT.Example
{ "headers": { "Cache-Control": "no-cache, no-store, max-age=0", "Content-Encoding": "gzip", "Content-Language": "sv_SE", "Content-Type": "application/json; charset=UTF-8", "Date": "Sun, 20 Jul 1969 20:17:10 GMT", "Expires": "Thu, 01 Jan 1970 00:00:00 GMT", "Pragma": "no-cache", "Server": "-", "Strict-Transport-Security": "max-age=31536000; includeSubDomains", "Transfer-Encoding": "Identity", "Vary": "Accept-Encoding" }, "response": { "andromedaUserToken": "some_random_token", "extendedUsage": false, "formattedServerTime": "1969-07-20 22:27", "links": { "next": { "method": "GET", "uri": "/v5/profile/" } }, "maskedUserId": "19300805****", "serverTime": "19690720 22:17", "status": "COMPLETE" }, "type": "RESPONSE_OBJECT"}